Get wallet overview (v2)
curl --request GET \
--url https://api.pods.finance/v2/wallets/{address} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.pods.finance/v2/wallets/{address}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.pods.finance/v2/wallets/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"history": {
"items": [
{
"amounts": {
"assetIn": {},
"assetOut": {},
"breakdown": [
{}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"initialDate": "2023-11-07T05:31:56Z",
"originAddress": "<string>",
"receiverAddress": "<string>",
"status": "<string>",
"strategyId": "<string>",
"strategySlug": "<string>",
"transactions": [
{}
],
"type": "<string>",
"underlyingAssetFeeValue": "<string>",
"fees": {}
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 24,
"totalPages": 3,
"hasMore": true
}
},
"tokens": {
"positions": [
{
"address": "<string>",
"amount": "<string>",
"amountInUSD": "<string>",
"chainId": 123,
"decimals": 123,
"humanized": "<string>",
"id": "<string>",
"logoURI": "<string>",
"name": "<string>",
"price": 123,
"symbol": "<string>"
}
],
"summary": {
"totalAmountInUSD": "<string>"
}
},
"earn": {
"positions": [
{
"investmentActions": [
{}
],
"spotPosition": {
"apy": 123,
"avgApy": 123,
"grossAPY": 123,
"inceptionApy": 123,
"netAPY": 123,
"cumulativeProfit": {
"asset": "<string>",
"decimals": 123,
"humanized": "<string>",
"symbol": "<string>",
"value": "1000000000000000000",
"valueUSD": "<string>",
"afterFees": "<string>"
},
"currentPosition": {
"asset": "<string>",
"decimals": 123,
"humanized": "<string>",
"symbol": "<string>",
"value": "1000000000000000000",
"valueUSD": "<string>",
"afterFees": "<string>"
},
"principal": {
"asset": "<string>",
"decimals": 123,
"humanized": "<string>",
"symbol": "<string>",
"value": "1000000000000000000",
"valueUSD": "<string>",
"afterFees": "<string>"
},
"profit": {
"asset": "<string>",
"decimals": 123,
"humanized": "<string>",
"symbol": "<string>",
"value": "1000000000000000000",
"valueUSD": "<string>",
"afterFees": "<string>"
},
"profitInUSD": 123,
"underlyingBalanceUSD": 123,
"realizedApy7d": 0.0412,
"realizedApy30d": 0.0388,
"currentPositionInShares": {
"asset": "<string>",
"decimals": 123,
"humanized": "<string>",
"symbol": "<string>",
"value": "1000000000000000000",
"valueUSD": "<string>"
},
"receiptBalance": {
"asset": "<string>",
"decimals": 123,
"humanized": "<string>",
"symbol": "<string>",
"value": "1000000000000000000",
"valueUSD": "<string>"
},
"underlyingBalance": {
"asset": "<string>",
"decimals": 123,
"humanized": "<string>",
"symbol": "<string>",
"value": "1000000000000000000",
"valueUSD": "<string>"
},
"availableToClaim": [
{}
],
"availableToWithdraw": [
{}
],
"requestedToLend": [
{}
],
"requestedToLendInShares": [
{}
],
"requestedToWithdraw": [
{}
],
"requestedToWithdrawInShares": [
{}
]
},
"strategy": {
"id": "Aave-USDC-polygon",
"slug": "Aave-USDC-polygon",
"asset": "<string>",
"assetDecimals": 6,
"assetName": "USDC",
"availableActions": [
"lend",
"withdraw"
],
"implementationSelector": "AavePolygon",
"network": "polygon",
"networkId": "137",
"protocol": "Aave",
"underlyingAsset": "<string>",
"underlyingDecimals": 123,
"isDefault": true,
"paused": true,
"startDate": "<string>",
"fee": "0",
"performanceFeeBps": "0",
"metadata": {},
"markupFeeBps": "0",
"marketData": {
"lastRefreshedAt": "2023-11-07T05:31:56Z",
"samples": [
{
"at": "2023-11-07T05:31:56Z",
"tvl": "<string>",
"tvlUsd": 123,
"priceUsd": 123
}
],
"sharePrice": 123,
"sharePriceChange24h": 123,
"sharePriceRefreshedAt": "2023-11-07T05:31:56Z",
"tvl": "<string>",
"tvlChange24h": 123,
"tvlUsd": 123,
"usdRate": 123
},
"protocolInfo": {
"name": "Aave",
"logo": "https://icons.llamao.fi/icons/protocols/aave"
},
"chain": {
"name": "polygon",
"id": 137,
"explorer": {
"name": "Polygonscan",
"url": "https://polygonscan.com"
},
"logo": "<string>"
},
"assetToken": {
"name": "USD Coin",
"address": "0x3c499c542cef5e3811e1192ce70d8cc03d5c3359",
"symbol": "USDC",
"decimals": 6,
"logo": "<string>"
},
"underlyingToken": {
"name": "USD Coin",
"address": "0x3c499c542cef5e3811e1192ce70d8cc03d5c3359",
"symbol": "USDC",
"decimals": 6,
"logo": "<string>"
},
"logourl": "<string>",
"category": [
"<string>"
]
}
}
],
"summary": {
"totalProfitInUSD": 123,
"totalUnderlyingBalanceUSD": 123
}
}
}{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}Wallets
Get wallet overview (v2)
Returns token balances, earn positions, and transaction history for a customer-owned wallet. Use include to select token positions, earn positions, or both.
GET
/
v2
/
wallets
/
{address}
Get wallet overview (v2)
Authorizations
ApiKeyAuthBearerAuth
API key for authentication. Obtain from your Pods dashboard.
Path Parameters
Customer-owned wallet address
Example:
"0xb794F5eA0ba39494cE839613fffBA74279579268"
Query Parameters
Available options:
tokens, earn, all Required range:
x > 0Required range:
1 <= x <= 500Available options:
INITIAL, PENDING, FAILED, REFUNDED, SUCCESS Available options:
createdAt, updatedAt, finishedAt Available options:
asc, desc Was this page helpful?
⌘I